Update user app settings
POST /api/users/app
Update the current user's app settings (partial update). Only provided fields will be updated. Pass null to clear a field. Args: update_data: Fields to update service: UserAppSettingsService (injected by dependency) Returns: UserAppSettingsResponse: The updated user's app settings Raises: HTTPException: 401 if user is not authenticated HTTPException: 404 if user not found HTTPException: 500 if update fails
Request body
| Field | Type | Required | Description |
|---|---|---|---|
language | `string | null` | no |
enable_sound_notifications | `boolean | null` | no |
git_user_name | `string | null` | no |
git_user_email | `string | null` | no |
git_full_clone | `boolean | null` | no |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
language | `string | null` | no |
user_consents_to_analytics | `boolean | null` | no |
enable_sound_notifications | `boolean | null` | no |
git_user_name | `string | null` | no |
git_user_email | `string | null` | no |
git_full_clone | `boolean | null` | no |
Operation ID: update_user_app_settings_api_users_app_post